Difference between revisions of "Upgrading SlimServer"

From LinuxMCE
Jump to: navigation, search
Line 1: Line 1:
Here are the steps needed to upgrade the SlimServer that comes with LinuxMCE to a newer version of Squeezecenter.
+
Here are the steps needed to upgrade the SlimServer that comes with LinuxMCE (7.04) to a newer version of Squeezecenter.
  
 
* Download the version of [http://www.slimdevices.com/pi_features.html squeezecenter] you want to run to the core.
 
* Download the version of [http://www.slimdevices.com/pi_features.html squeezecenter] you want to run to the core.

Revision as of 14:27, 27 June 2008

Here are the steps needed to upgrade the SlimServer that comes with LinuxMCE (7.04) to a newer version of Squeezecenter.

  • Download the version of squeezecenter you want to run to the core.
  • cd to /usr/pluto/servers
  • Backup the existing SlimServer directory. ie mv SlimServer SlimServer.lmce
  • Move the downloaded file to /usr/pluto/servers and unarchive it.
  • Make a soft link to the new directory. ln -s squeezecenter-some-version SlimServer This step just makes upgrades or downgrades go a little faster.
  • Add a user slimserver and a group slimserver This is the default that Squeezecenter runs as
  • Change the ownership of squeezecenter's directory to that of slimserver. chown -R slimserver:slimserver squeezecenter-some-version

At this point you should be able to restart the dcerouter. This should start the new version of squeezecenter

(more to come)

This article is a stub and requires expansion